Bug 463817 - gfs_fsck can't decide which bitmap to fix
gfs_fsck can't decide which bitmap to fix
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-utils (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Robert Peterson
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 15:54 EDT by Nate Straz
Modified: 2010-01-11 22:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:01:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the problem (1.06 KB, patch)
2008-09-25 16:25 EDT, Robert Peterson
no flags Details | Diff

  None (edit)
Description Nate Straz 2008-09-24 15:54:55 EDT
Description of problem:

While running gfs_fsck, if you don't answer y or n to a response, it'll ask you about a different block number next time it asks.

Fix bitmap for block 215211101? (y/n) y
Succeeded.
ondisk and fsck bitmaps differ at block 215211102
Fix bitmap for block 215211102? (y/n) 
Bad response, please type 'y' or 'n'.
Fix bitmap for block 18446744073709551615? (y/n) 
Bad response, please type 'y' or 'n'.
Fix bitmap for block 47351378903632? (y/n) 
Bad response, please type 'y' or 'n'.
Fix bitmap for block 241450444864? (y/n) 
Bad response, please type 'y' or 'n'.
Fix bitmap for block 0? (y/n) 
... etc ...

Version-Release number of selected component (if applicable):
gfs-utils-0.1.18-1.el5

How reproducible:
easily

Steps to Reproduce:
1. corrupt your file system
2. run gfs_fsck
3. don't answer
Comment 1 Robert Peterson 2008-09-25 16:25:24 EDT
Created attachment 317723 [details]
Patch to fix the problem

This patch was tested and found to fix the problem.
We needed to do a va_start every time we go through the query loop,
otherwise our arguments are left in an undefined state.
Comment 2 Robert Peterson 2008-09-25 16:27:37 EDT
Easy fix; requesting flags for inclusion into 5.4 or 5.3. if
management decides to go that route.
Comment 3 Robert Peterson 2008-09-25 16:40:23 EDT
I pushed the fix to the master and STABLE2 branches of our cluster
git tree.  Waiting for flags before doing the RHEL5 branch.
Comment 5 Robert Peterson 2008-12-16 09:58:41 EST
I pushed the patch to the RHEL5 branch of the cluster git tree now
for inclusion into 5.4.  Changing status to Modified.
Comment 7 Jaroslav Kortus 2009-07-20 12:05:03 EDT
verified with gfs-utils-0.1.20-1.el5

part of gfs_fsck output:
 Fix bitmap for block 85? (y/n) x
 Bad response, please type 'y' or 'n'.
 Fix bitmap for block 85? (y/n)
Comment 10 errata-xmlrpc 2009-09-02 07:01:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1336.html

Note You need to log in before you can comment on or make changes to this bug.